summaryrefslogtreecommitdiffstats
path: root/source/d/cmake/cmake.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/cmake/cmake.SlackBuild')
-rwxr-xr-xsource/d/cmake/cmake.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/d/cmake/cmake.SlackBuild b/source/d/cmake/cmake.SlackBuild
index b20759875..9036e4cf1 100755
--- a/source/d/cmake/cmake.SlackBuild
+++ b/source/d/cmake/cmake.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cmake
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,6 +67,9 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Work around breakage with doxygen-1.8.15:
+zcat $CWD/cmake.doxygen-1.8.15.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \